Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.sql
Class JdbcCatalogFactory

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.sql.JdbcCatalogFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class JdbcCatalogFactory

extends Object

This class provides static methods to insulate the JDBC catalog developer from the underlying database schema. It implements a number of methods to query the structure of the schema and can create Category and Product Item objects from a ResultSet.
This is an advanced (internal) class and may be subject to change.

Field Summary
`static String` | `CATALOG_ITEM_CONTRIBUTOR` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_COVERAGE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_CREATION_DATE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_CREATOR` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LANGUAGE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LARGE_IMAGE_ALT_TXT` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LARGE_IMAGE_LANGUAGE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LARGE_IMAGE_NAME` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LARGE_IMAGE_TYPE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LARGE_IMAGE_URL` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_LONG_DESCRIPTION` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_MODIFIED_DATE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_NAME` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_PUBLISHER` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_RELATION` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_RIGHTS` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SHORT_DESCRIPTION` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SMALL_IMAGE_ALT_TXT` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SMALL_IMAGE_LANGUAGE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SMALL_IMAGE_NAME` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SMALL_IMAGE_TYPE` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SMALL_IMAGE_URL` Deprecated See BEA Commerce product offering
`static String` | `CATALOG_ITEM_SOURCE` Deprecated See BEA Commerce product offering
`static String` | `CATEGORY_DISPLAY_JSP_URL` Deprecated See BEA Commerce product offering
`static String` | `CATEGORY_ID` Deprecated See BEA Commerce product offering
`static String` | `CATEGORY_NAME` Deprecated See BEA Commerce product offering
`static String` | `CATEGORY_PARENT_ID` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_DETAIL_DISPLAY_JSP_URL` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_ESTIMATE_SHIP_TIME` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_FORMAT` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_IN_STOCK` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_KEYWORD_KEYWORD` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_KEYWORD_SKU` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_MSRP_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_MSRP_CURRENCY` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_PRICE_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_PRICE_CURRENCY` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_SHIPPING_CODE` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_SKU` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_SPECIAL_NOTES` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_SUMMARY_DISPLAY_JSP_URL` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_TAX_CODE` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_TYPE` Deprecated See BEA Commerce product offering
`static String` | `PRODUCT_VISIBLE` Deprecated See BEA Commerce product offering

Constructor Summary
`JdbcCatalogFactory(CatalogSchemaManager schema)` Deprecated See BEA Commerce product offering

Method Summary
`protected void` | `assignCatalogItemAttributes(MutableCatalogItem item, ResultSet resultSet, Map indexMap)` Deprecated See BEA Commerce product offering
`protected void` | `buildCatalogItemStatement(PreparedStatement preparedStatement, CatalogItem item, Map indexMap)` Deprecated See BEA Commerce product offering
`void` | `buildCategoryStatement(PreparedStatement preparedStatement, CategoryKey parentKey, Category cat)` Deprecated See BEA Commerce product offering
`void` | `buildProductItemStatement(PreparedStatement preparedStatement, ProductItem item)` Deprecated See BEA Commerce product offering
`LinkedList` | `createCategory(ResultSet resultSet)` Deprecated See BEA Commerce product offering
`LinkedList` | `createProductItem(ResultSet resultSet)` Deprecated See BEA Commerce product offering
`String` | `getCategoryColumnName(String fieldName)` Deprecated See BEA Commerce product offering
`int` | `getCategoryFieldIndex(String fieldName)` Deprecated See BEA Commerce product offering
`String` | `getCategoryTableName()` Deprecated See BEA Commerce product offering
`protected int` | `getMapFieldIndex(Map indexMap, String fieldName)` Deprecated See BEA Commerce product offering
`String` | `getProductItemColumnName(String fieldName)` Deprecated See BEA Commerce product offering
`int` | `getProductItemFieldIndex(String fieldName)` Deprecated See BEA Commerce product offering
`String` | `getProductItemKeywordColumnName(String fieldName)` Deprecated See BEA Commerce product offering
`String` | `getProductItemKeywordTableName()` Deprecated See BEA Commerce product offering
`String` | `getProductItemTableName()` Deprecated See BEA Commerce product offering
`protected String` | `getResultSetFieldAsString(ResultSet resultSet, Map indexMap, String fieldName)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOG_ITEM_NAME

    public static final String CATALOG_ITEM_NAME

  Deprecated See BEA Commerce product offering
  these are the column names for attributes shared between categories and product items

  See Also
    Constants Summary

### CATALOG_ITEM_SHORT_DESCRIPTION

    public static final String CATALOG_ITEM_SHORT_DESCRIPTION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LONG_DESCRIPTION

    public static final String CATALOG_ITEM_LONG_DESCRIPTION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_CREATOR

    public static final String CATALOG_ITEM_CREATOR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_PUBLISHER

    public static final String CATALOG_ITEM_PUBLISHER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_CONTRIBUTOR

    public static final String CATALOG_ITEM_CONTRIBUTOR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_CREATION_DATE

    public static final String CATALOG_ITEM_CREATION_DATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SOURCE

    public static final String CATALOG_ITEM_SOURCE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LANGUAGE

    public static final String CATALOG_ITEM_LANGUAGE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_RELATION

    public static final String CATALOG_ITEM_RELATION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_COVERAGE

    public static final String CATALOG_ITEM_COVERAGE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_RIGHTS

    public static final String CATALOG_ITEM_RIGHTS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SMALL_IMAGE_NAME

    public static final String CATALOG_ITEM_SMALL_IMAGE_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SMALL_IMAGE_ALT_TXT

    public static final String CATALOG_ITEM_SMALL_IMAGE_ALT_TXT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SMALL_IMAGE_URL

    public static final String CATALOG_ITEM_SMALL_IMAGE_URL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SMALL_IMAGE_LANGUAGE

    public static final String CATALOG_ITEM_SMALL_IMAGE_LANGUAGE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_SMALL_IMAGE_TYPE

    public static final String CATALOG_ITEM_SMALL_IMAGE_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LARGE_IMAGE_NAME

    public static final String CATALOG_ITEM_LARGE_IMAGE_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LARGE_IMAGE_ALT_TXT

    public static final String CATALOG_ITEM_LARGE_IMAGE_ALT_TXT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LARGE_IMAGE_URL

    public static final String CATALOG_ITEM_LARGE_IMAGE_URL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LARGE_IMAGE_LANGUAGE

    public static final String CATALOG_ITEM_LARGE_IMAGE_LANGUAGE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_LARGE_IMAGE_TYPE

    public static final String CATALOG_ITEM_LARGE_IMAGE_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_ITEM_MODIFIED_DATE

    public static final String CATALOG_ITEM_MODIFIED_DATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_SKU

    public static final String PRODUCT_SKU

  Deprecated See BEA Commerce product offering
  attributes just for product items

  See Also
    Constants Summary

### PRODUCT_FORMAT

    public static final String PRODUCT_FORMAT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_TYPE

    public static final String PRODUCT_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_SUMMARY_DISPLAY_JSP_URL

    public static final String PRODUCT_SUMMARY_DISPLAY_JSP_URL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_DETAIL_DISPLAY_JSP_URL

    public static final String PRODUCT_DETAIL_DISPLAY_JSP_URL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_MSRP_CURRENCY

    public static final String PRODUCT_MSRP_CURRENCY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_MSRP_AMOUNT

    public static final String PRODUCT_MSRP_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_PRICE_CURRENCY

    public static final String PRODUCT_PRICE_CURRENCY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_PRICE_AMOUNT

    public static final String PRODUCT_PRICE_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_IN_STOCK

    public static final String PRODUCT_IN_STOCK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_ESTIMATE_SHIP_TIME

    public static final String PRODUCT_ESTIMATE_SHIP_TIME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_SPECIAL_NOTES

    public static final String PRODUCT_SPECIAL_NOTES

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_TAX_CODE

    public static final String PRODUCT_TAX_CODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_SHIPPING_CODE

    public static final String PRODUCT_SHIPPING_CODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_VISIBLE

    public static final String PRODUCT_VISIBLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_KEYWORD_SKU

    public static final String PRODUCT_KEYWORD_SKU

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_KEYWORD_KEYWORD

    public static final String PRODUCT_KEYWORD_KEYWORD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATEGORY_ID

    public static final String CATEGORY_ID

  Deprecated See BEA Commerce product offering
  attributes just for category

  See Also
    Constants Summary

### CATEGORY_DISPLAY_JSP_URL

    public static final String CATEGORY_DISPLAY_JSP_URL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATEGORY_PARENT_ID

    public static final String CATEGORY_PARENT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATEGORY_NAME

    public static final String CATEGORY_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### JdbcCatalogFactory

    public JdbcCatalogFactory(CatalogSchemaManager schema)

  Deprecated See BEA Commerce product offering

  This class is abstract and cannot be created.

Method Detail

### getCategoryTableName

    public String getCategoryTableName()

  Deprecated See BEA Commerce product offering

  Returns
    the name of the database table used to store categories

### getProductItemTableName

    public String getProductItemTableName()

  Deprecated See BEA Commerce product offering

  Returns
    the name of the database table used to store product items

### getProductItemKeywordTableName

    public String getProductItemKeywordTableName()

  Deprecated See BEA Commerce product offering

  Returns
    the name of the database table used to store product item keywords.

### getProductItemColumnName

    public String getProductItemColumnName(String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    the name of the database column used to store a product item attribute

### getProductItemKeywordColumnName

    public String getProductItemKeywordColumnName(String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `fieldName` - the name of the field (PRODUCT_KEYWORD_SKU, PRODUCT_KEYWORD_KEYWORD).
  Returns
    the name of the database column used to store a product item keyword attribute.

### getCategoryColumnName

    public String getCategoryColumnName(String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    the name of the database column used to store a category attribute

### getCategoryFieldIndex

    public int getCategoryFieldIndex(String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    the index of a database column used to store a category attribute

### getProductItemFieldIndex

    public int getProductItemFieldIndex(String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    the index of a database column used to store a product item attribute

### createCategory

    public LinkedList createCategory(ResultSet resultSet)
                              throws SQLException,
                                     InvalidArgumentException

  Deprecated See BEA Commerce product offering

  creates a LinkedList of Category objects from a ResultSet. The ResultSet must include all the columns of the category table in the correct order.

  Parameters
    `resultSet` - the SQL result set for the category table
  Returns
    a Vector of Category objects
  Throws
    `SQLException`
    `InvalidArgumentException`

### createProductItem

    public LinkedList createProductItem(ResultSet resultSet)
                                 throws SQLException,
                                        InvalidArgumentException

  Deprecated See BEA Commerce product offering

  creates a LinkedList of ProductItem objects from a ResultSet. The ResultSet must include all the columns of the product item table in the correct order.

  Parameters
    `resultSet` - the SQL result set for the product item table
  Returns
    a Vector of ProductItem objects
  Throws
    `SQLException`
    `InvalidArgumentException`

### assignCatalogItemAttributes

    protected void assignCatalogItemAttributes(MutableCatalogItem item,
                                               ResultSet resultSet,
                                               Map indexMap)
                                        throws SQLException

  Deprecated See BEA Commerce product offering

  Assigns the base class CatalogItem attributes from the ResultSet to a CatalogItem object.

  Parameters
    `item` - the Category or ProductItem to populate
    `resultSet` - the SQL result set for the category or product item
    `fieldName` - the name of the field. Use the constants defined in this class.
  Throws
    `SQLException`

### buildCategoryStatement

    public void buildCategoryStatement(PreparedStatement preparedStatement,
                                       CategoryKey parentKey,
                                       Category cat)
                                throws SQLException

  Deprecated See BEA Commerce product offering

  Assigns the attributes for a Category into a PreparedStatement.

  Parameters
    `preparedStatement` - the PreparedStatement to populate
    `cat` - the Category which is the source of the values
  Throws
    `SQLException`

### buildProductItemStatement

    public void buildProductItemStatement(PreparedStatement preparedStatement,
                                          ProductItem item)
                                   throws SQLException

  Deprecated See BEA Commerce product offering

  Assigns the attributes for a ProductItem into a PreparedStatement.

  Parameters
    `preparedStatement` - the PreparedStatement to populate
    `item` - the ProductItem which is the source of the values
  Throws
    `SQLException`

### buildCatalogItemStatement

    protected void buildCatalogItemStatement(PreparedStatement preparedStatement,
                                             CatalogItem item,
                                             Map indexMap)
                                      throws SQLException

  Deprecated See BEA Commerce product offering

  Assigns the attributes for a CatalogItem into a PreparedStatement.

  Parameters
    `preparedStatement` - the PreparedStatement to populate
    `item` - the Category or ProductItem which is the source of the values
    `fieldName` - the name of the field. Use the constants defined in this class.
  Throws
    `SQLException`

### getResultSetFieldAsString

    protected String getResultSetFieldAsString(ResultSet resultSet,
                                               Map indexMap,
                                               String fieldName)
                                        throws SQLException

  Deprecated See BEA Commerce product offering

  Parameters
    `indexMap` - one of the column maps for the tables we support
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    The value of a String attribute from one of the database tables we support (after passing through a call to `processString`).
  Throws
    `SQLException`

### getMapFieldIndex

    protected int getMapFieldIndex(Map indexMap,
                                   String fieldName)

  Deprecated See BEA Commerce product offering

  Parameters
    `indexMap` - one of the column maps for the tables we support
    `fieldName` - the name of the field. Use the constants defined in this class.
  Returns
    the index of the column for an attribute from one of the database tables we support

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved